<?php 

function thb_get_teammember_templates($template_list) {
	$template_list['teammember_section_01'] = array(
		'name' => esc_html__( 'Team Member Section - 01', 'werkstatt' ),
		'thumbnail' => Thb_Theme_Admin::$thb_theme_directory_uri."assets/img/admin/teammember/team-e1.jpg",
		'cat' => array( 'teammember' ),
		'sc' => '[vc_row el_class="align-center"][vc_column offset="vc_col-lg-7 vc_col-md-9"][vc_column_text]
		<h4>Our Team</h4>
		It was shaped like a chair and sparkled with gems, as did everything else. In the center of the chair was an enormous Head, without a body to support it or any arms or legs whatever.[/vc_column_text][/vc_column][/vc_row][vc_row el_class="align-center" css=".vc_custom_1474624500733{padding-bottom: 4% !important;}"][vc_column offset="vc_col-lg-10 vc_col-md-12"][thb_team_parent thb_columns="medium-4 large-3"][thb_team image="208" name="Patricia Susanne" sub_title="Founder" description="#E-8_JTNDYSUyMGhyZWYlM0QlMjIlMjMlMjIlM0UlM0NpJTIwY2xhc3MlM0QlMjJmYSUyMGZhLWZhY2Vib29rJTIyJTNFJTNDJTJGaSUzRSUzQyUyRmElM0UlMjAlM0NhJTIwaHJlZiUzRCUyMiUyMyUyMiUzRSUzQ2klMjBjbGFzcyUzRCUyMmZhJTIwZmEtdHdpdHRlciUyMiUzRSUzQyUyRmklM0UlM0MlMkZhJTNF"][thb_team image="205" name="Holden Hoffington" sub_title="Founder" description="#E-8_JTNDYSUyMGhyZWYlM0QlMjIlMjMlMjIlM0UlM0NpJTIwY2xhc3MlM0QlMjJmYSUyMGZhLWZhY2Vib29rJTIyJTNFJTNDJTJGaSUzRSUzQyUyRmElM0UlMjAlM0NhJTIwaHJlZiUzRCUyMiUyMyUyMiUzRSUzQ2klMjBjbGFzcyUzRCUyMmZhJTIwZmEtdHdpdHRlciUyMiUzRSUzQyUyRmklM0UlM0MlMkZhJTNF"][thb_team image="206" name="Ceccilla Pinto" sub_title="Creative Director" description="#E-8_JTNDYSUyMGhyZWYlM0QlMjIlMjMlMjIlM0UlM0NpJTIwY2xhc3MlM0QlMjJmYSUyMGZhLWZhY2Vib29rJTIyJTNFJTNDJTJGaSUzRSUzQyUyRmElM0UlMjAlM0NhJTIwaHJlZiUzRCUyMiUyMyUyMiUzRSUzQ2klMjBjbGFzcyUzRCUyMmZhJTIwZmEtdHdpdHRlciUyMiUzRSUzQyUyRmklM0UlM0MlMkZhJTNF"][thb_team image="207" name="Can Bonomo" sub_title="Development Director" description="#E-8_JTNDYSUyMGhyZWYlM0QlMjIlMjMlMjIlM0UlM0NpJTIwY2xhc3MlM0QlMjJmYSUyMGZhLWZhY2Vib29rJTIyJTNFJTNDJTJGaSUzRSUzQyUyRmElM0UlMjAlM0NhJTIwaHJlZiUzRCUyMiUyMyUyMiUzRSUzQ2klMjBjbGFzcyUzRCUyMmZhJTIwZmEtdHdpdHRlciUyMiUzRSUzQyUyRmklM0UlM0MlMkZhJTNF"][thb_team image="209" name="Kimmy Gulotta" sub_title="Senior Designer" description="#E-8_JTNDYSUyMGhyZWYlM0QlMjIlMjMlMjIlM0UlM0NpJTIwY2xhc3MlM0QlMjJmYSUyMGZhLWZhY2Vib29rJTIyJTNFJTNDJTJGaSUzRSUzQyUyRmElM0UlMjAlM0NhJTIwaHJlZiUzRCUyMiUyMyUyMiUzRSUzQ2klMjBjbGFzcyUzRCUyMmZhJTIwZmEtdHdpdHRlciUyMiUzRSUzQyUyRmklM0UlM0MlMkZhJTNF"][thb_team image="210" name="Jason Hu" sub_title="Senior Developer" description="#E-8_JTNDYSUyMGhyZWYlM0QlMjIlMjMlMjIlM0UlM0NpJTIwY2xhc3MlM0QlMjJmYSUyMGZhLWZhY2Vib29rJTIyJTNFJTNDJTJGaSUzRSUzQyUyRmElM0UlMjAlM0NhJTIwaHJlZiUzRCUyMiUyMyUyMiUzRSUzQ2klMjBjbGFzcyUzRCUyMmZhJTIwZmEtdHdpdHRlciUyMiUzRSUzQyUyRmklM0UlM0MlMkZhJTNF"][thb_team_addnew link="url:http%3A%2F%2Fwerkstatt.fuelthemes.net%2Fabout-us-agency%2F|title:Submit%20Your%20Resume!||"][/thb_team_parent][/vc_column][/vc_row]',
	);
	$template_list['teammember_section_02'] = array(
		'name' => esc_html__( 'Team Member Section - 02', 'werkstatt' ),
		'thumbnail' => Thb_Theme_Admin::$thb_theme_directory_uri."assets/img/admin/teammember/team-e2.jpg",
		'cat' => array( 'teammember', 'about' ),
		'sc' => '[vc_row css=".vc_custom_1475009701825{padding-top: 10vh !important;padding-bottom: 1vh !important;}" el_class="align-center"][vc_column css=".vc_custom_1474963318991{padding-right: 10% !important;padding-left: 10% !important;}" offset="vc_col-lg-8 vc_col-md-9"][vc_column_text animation="animation fade-in"]
		<h6 style="text-align: center;">OUR TEAM</h6>
		[/vc_column_text][vc_column_text animation="animation fade-in"]
		<h3 style="text-align: center;"><strong>We partner with our clients to understand their</strong> individual <strong>needs and elevate the value of their brands through thoughtfully</strong></h3>
		[/vc_column_text][/vc_column][/vc_row][vc_row css=".vc_custom_1474963291246{padding-bottom: 10vh !important;}"][vc_column][thb_team_parent thb_style="slick" thb_columns="medium-6 thb-5"][thb_team image="208" name="Patricia Susanne" sub_title="Founder" description="#E-8_JTNDYSUyMGhyZWYlM0QlMjIlMjMlMjIlM0UlM0NpJTIwY2xhc3MlM0QlMjJmYSUyMGZhLWZhY2Vib29rJTIyJTNFJTNDJTJGaSUzRSUzQyUyRmElM0UlMjAlM0NhJTIwaHJlZiUzRCUyMiUyMyUyMiUzRSUzQ2klMjBjbGFzcyUzRCUyMmZhJTIwZmEtdHdpdHRlciUyMiUzRSUzQyUyRmklM0UlM0MlMkZhJTNF"][thb_team image="205" name="Holden Hoffington" sub_title="Founder" description="#E-8_JTNDYSUyMGhyZWYlM0QlMjIlMjMlMjIlM0UlM0NpJTIwY2xhc3MlM0QlMjJmYSUyMGZhLWZhY2Vib29rJTIyJTNFJTNDJTJGaSUzRSUzQyUyRmElM0UlMjAlM0NhJTIwaHJlZiUzRCUyMiUyMyUyMiUzRSUzQ2klMjBjbGFzcyUzRCUyMmZhJTIwZmEtdHdpdHRlciUyMiUzRSUzQyUyRmklM0UlM0MlMkZhJTNF"][thb_team image="206" name="Ceccilla Pinto" sub_title="Creative Director" description="#E-8_JTNDYSUyMGhyZWYlM0QlMjIlMjMlMjIlM0UlM0NpJTIwY2xhc3MlM0QlMjJmYSUyMGZhLWZhY2Vib29rJTIyJTNFJTNDJTJGaSUzRSUzQyUyRmElM0UlMjAlM0NhJTIwaHJlZiUzRCUyMiUyMyUyMiUzRSUzQ2klMjBjbGFzcyUzRCUyMmZhJTIwZmEtdHdpdHRlciUyMiUzRSUzQyUyRmklM0UlM0MlMkZhJTNF"][thb_team image="207" name="Can Bonomo" sub_title="Development Director" description="#E-8_JTNDYSUyMGhyZWYlM0QlMjIlMjMlMjIlM0UlM0NpJTIwY2xhc3MlM0QlMjJmYSUyMGZhLWZhY2Vib29rJTIyJTNFJTNDJTJGaSUzRSUzQyUyRmElM0UlMjAlM0NhJTIwaHJlZiUzRCUyMiUyMyUyMiUzRSUzQ2klMjBjbGFzcyUzRCUyMmZhJTIwZmEtdHdpdHRlciUyMiUzRSUzQyUyRmklM0UlM0MlMkZhJTNF"][thb_team image="209" name="Kimmy Gulotta" sub_title="Senior Designer" description="#E-8_JTNDYSUyMGhyZWYlM0QlMjIlMjMlMjIlM0UlM0NpJTIwY2xhc3MlM0QlMjJmYSUyMGZhLWZhY2Vib29rJTIyJTNFJTNDJTJGaSUzRSUzQyUyRmElM0UlMjAlM0NhJTIwaHJlZiUzRCUyMiUyMyUyMiUzRSUzQ2klMjBjbGFzcyUzRCUyMmZhJTIwZmEtdHdpdHRlciUyMiUzRSUzQyUyRmklM0UlM0MlMkZhJTNF"][thb_team image="210" name="Jason Hu" sub_title="Senior Developer" description="#E-8_JTNDYSUyMGhyZWYlM0QlMjIlMjMlMjIlM0UlM0NpJTIwY2xhc3MlM0QlMjJmYSUyMGZhLWZhY2Vib29rJTIyJTNFJTNDJTJGaSUzRSUzQyUyRmElM0UlMjAlM0NhJTIwaHJlZiUzRCUyMiUyMyUyMiUzRSUzQ2klMjBjbGFzcyUzRCUyMmZhJTIwZmEtdHdpdHRlciUyMiUzRSUzQyUyRmklM0UlM0MlMkZhJTNF"][/thb_team_parent][/vc_column][/vc_row]',
	);
	$template_list['teammember_section_03'] = array(
		'name' => esc_html__( 'Team Member Section - 03', 'werkstatt' ),
		'thumbnail' => Thb_Theme_Admin::$thb_theme_directory_uri."assets/img/admin/teammember/team-e3.jpg",
		'cat' => array( 'teammember', 'about' ),
		'sc' => '[vc_row css=".vc_custom_1475009701825{padding-top: 10vh !important;padding-bottom: 1vh !important;}" el_class="align-center"][vc_column offset="vc_col-lg-8 vc_col-md-9"][vc_column_text animation="animation fade-in"]
		<h6><span style="color: #ed0515;">/ ARCHITECTS</span></h6>
		[/vc_column_text][vc_column_text animation="animation fade-in"]
		<h2><strong>Thirty days after the capture of Dejah Thoris, or about time of our coming to thark, his vessel.</strong></h2>
		[/vc_column_text][/vc_column][/vc_row][vc_row css=".vc_custom_1480243193433{padding-bottom: 10vh !important;background-image: url(http://werkstatt.fuelthemes.net/werkstatt-architecture/wp-content/uploads/sites/21/2016/09/signature-1.png?id=360) !important;background-position: center !important;background-repeat: no-repeat !important;background-size: contain !important;}" el_class="align-center"][vc_column offset="vc_col-lg-8 vc_col-md-10"][thb_team_parent thb_member_style="member_style2" thb_columns="large-4"][thb_team image="385" name="Nick Groch" sub_title="Business Executive" description="#E-8_JTNDYSUyMGhyZWYlM0QlMjIlMjMlMjIlM0UlM0NpJTIwY2xhc3MlM0QlMjJmYSUyMGZhLWZhY2Vib29rJTIyJTNFJTNDJTJGaSUzRSUzQyUyRmElM0UlMjAlM0NhJTIwaHJlZiUzRCUyMiUyMyUyMiUzRSUzQ2klMjBjbGFzcyUzRCUyMmZhJTIwZmEtdHdpdHRlciUyMiUzRSUzQyUyRmklM0UlM0MlMkZhJTNF"][thb_team image="387" name="Alison Brooks" sub_title="Project Manager" description="#E-8_JTNDYSUyMGhyZWYlM0QlMjIlMjMlMjIlM0UlM0NpJTIwY2xhc3MlM0QlMjJmYSUyMGZhLWZhY2Vib29rJTIyJTNFJTNDJTJGaSUzRSUzQyUyRmElM0UlMjAlM0NhJTIwaHJlZiUzRCUyMiUyMyUyMiUzRSUzQ2klMjBjbGFzcyUzRCUyMmZhJTIwZmEtdHdpdHRlciUyMiUzRSUzQyUyRmklM0UlM0MlMkZhJTNF"][thb_team image="388" name="Javier Galando" sub_title="Architect" description="#E-8_JTNDYSUyMGhyZWYlM0QlMjIlMjMlMjIlM0UlM0NpJTIwY2xhc3MlM0QlMjJmYSUyMGZhLWZhY2Vib29rJTIyJTNFJTNDJTJGaSUzRSUzQyUyRmElM0UlMjAlM0NhJTIwaHJlZiUzRCUyMiUyMyUyMiUzRSUzQ2klMjBjbGFzcyUzRCUyMmZhJTIwZmEtdHdpdHRlciUyMiUzRSUzQyUyRmklM0UlM0MlMkZhJTNF"][/thb_team_parent][/vc_column][/vc_row]',
	);
	
	return $template_list;
}