<?php
$thb_masonry        = get_query_var( 'thb_masonry' ) ? get_query_var( 'thb_masonry' ) : false;
$thb_size           = get_query_var( 'thb_size' ) ? get_query_var( 'thb_size' ) : false;
$thb_style          = get_query_var( 'thb_style' ) ? get_query_var( 'thb_style' ) : false;
$thb_animation      = get_query_var( 'thb_animation' ) ? get_query_var( 'thb_animation' ) : false;
$thb_title_position = get_query_var( 'thb_title_position' ) ? get_query_var( 'thb_title_position' ) : false;

$thb_id         = get_the_ID();
$portfolio_data = thb_get_portfolio_data( $thb_id );

$class[] = 'columns';
$class[] = 'type-portfolio';
$class[] = $thb_size;
$class[] = $thb_animation;
$class[] = $thb_style;
$class[] = $portfolio_data['main_color_title'];
$class[] = $portfolio_data['cat_class'];
$class[] = $thb_title_position;
$class[] = 'style3';
$class[] = $portfolio_data['link_class'];
?>
<a href="<?php echo esc_url( $portfolio_data['permalink'] ); ?>" <?php post_class( $class ); ?> id="portfolio-<?php the_ID(); ?>" data-color="<?php echo esc_attr( $portfolio_data['main_color_title'] ); ?>">
	<div class="portfolio-holder">
		<div class="portfolio-content">
			<h2><?php the_title(); ?></h2>
			<aside class="thb-categories"><?php echo esc_html( $portfolio_data['categories'] ); ?></aside>
		</div>
	</div>
</a>
