<?php
$thb_id         = get_the_ID();
$portfolio_data = thb_get_portfolio_data( $thb_id );

$class[] = $portfolio_data['cat_class'];
$class[] = 'style6';
$class[] = 'small-12 columns';

$btn_class[] = 'portfolio-holder';
$btn_class[] = $portfolio_data['link_class'];
?>
<div <?php post_class( $class ); ?> id="portfolio-<?php the_ID(); ?>" data-id="<?php the_ID(); ?>">
	<h2>
		<a class="<?php echo esc_attr( implode( ' ', $btn_class ) ); ?>" href="<?php echo esc_url( $portfolio_data['permalink'] ); ?>"><?php the_title(); ?></a>
		<div class="style6-box" data-id="<?php the_ID(); ?>">
			<?php the_post_thumbnail( 'werkstatt-rectangle-2x' ); ?>
			<?php if ( has_excerpt() ) { the_excerpt(); } ?>
			<?php do_action( 'thb_portfolio_attributes' ); ?>
		</div>
	</h2>
</div>
