<?php
	$format = get_post_format();
	$permalink = get_the_permalink();
	if ($format === 'link') {
		$permalink = get_post_meta(get_the_ID(), 'post_link', true);
	}
?>
<div class="row max_width no-padding">
	<div class="small-12 columns">
		<article itemscope itemtype="http://schema.org/Article" <?php post_class('post style11'); ?> role="article">
			<div class="post-style11-container">
				<aside class="post-meta">
					<span class="post-day"><?php echo get_the_date('d'); ?></span>
					<span class="post-month"><?php echo get_the_date('M'); ?></span>
				</aside>
				<figure class="post-gallery"><?php the_post_thumbnail('werkstatt-square'); ?></figure>
				<header class="post-title entry-header">
					<h4 class="entry-title" itemprop="name headline">
						<?php the_title(); ?>
					</h4>
				</header>
			</div>
			<aside class="post-category">
				<?php thb_display_category(); ?>
			</aside>
			<?php do_action( 'thb_PostMeta' ); ?>
			<a href="<?php echo esc_url( $permalink ); ?>" class="style11-post-link"></a>
		</article>
	</div>
</div>